<template>
  <div class="telephone-box">
    <div class="title">
      <span class="icon iconfont">&#xe7cc;</span>
      <span>去电</span>
    </div>
    <div class="info">
      <div class="id">1139</div>
      <div class="sip">sip:1139@47.112.193.0</div>
    </div>

    <div class="video">1</div>

    <div class="control">
      <img src="/images/InternetData/挂断.png" />
      <img src="/images/InternetData/声音.png" class="mid" />
      <img src="/images/InternetData/话筒.png" />
    </div>

    <div class="close el-icon-close" @click="close"></div>
  </div>
</template>

<script>
export default {
  props: {
    tele: {
      type: Object,
    },
  },
  data() {
    return {};
  },

  methods: {
    close() {
      this.$emit("close");
    },
  },
};
</script>

<style scoped lang="scss">
.telephone-box {
  box-sizing: border-box;
  position: fixed;
  z-index: 5;
  padding: 32px 28px 28px 55px;

  width: 420px;
  height: 382px;
  left: 50%;
  top: 50%;
  margin-top: -15%;
  margin-left: -15%;

  background: #ffffff;
  border-radius: 8px;
  color: #4f4f4f;

  .title {
    text-align: left;
    font-size: 16px;
    font-weight: 700;

    .icon {
      margin-right: 2px;
      font-size: 18px;
      font-weight: normal;
    }
  }

  .info {
    margin-top: 18px;
    font-weight: bold;
    font-size: 16px;

    .sip {
      margin-top: 2px;
      font-size: 12px;
      font-weight: normal;
    }
  }

  .video {
    margin: 0 auto;
    margin-top: 20px;
    box-sizing: border-box;
    width: 104px;
    height: 104px;
    background: #454141;
    border: 5px solid #ffaa44;
    border-radius: 50%;

    font-size: 36px;
    color: #fff;
    line-height: 94px;
  }

  .control {
    margin-top: 50px;

    img {
      width: 37px;
      height: 37px;
    }

    .mid {
      margin: 0 37px;
    }
  }

  .close {
    cursor: pointer;
    position: absolute;
    top: 12px;
    right: 12px;
    font-size: 12px;
    font-weight: 700;
  }
}
</style>